# Common config for all hosts
{
  inputs,
  outputs,
  ...
}: {
  imports =
    [
      ./fish.nix # fish for admin
      ./locale.nix
      ./nix.nix
      ./sops.nix
      ./root.nix
    ]
    ++ [
      inputs.home-manager.nixosModules.home-manager
    ]
    ++ (builtins.attrValues outputs.nixosModules);

  # Replaces the (modulesPath + "/installer/scan/not-detected.nix") from default hardware-configuration.nix
  # Enables non-free firmware
  hardware.enableRedistributableFirmware = true;

  # Networking
  networking.networkmanager.enable = true;
  services.resolved.enable = true;

  programs.dconf.enable = true;

  # HM
  home-manager.useGlobalPkgs = true;
  home-manager.extraSpecialArgs = {
    inherit inputs outputs;
  };
}
